#!/bin/sh
#
# Utilisation standard de rrdtool et parametres.
#
# script crer par ed dit sous licence GPL.
# http://ed.zehome.com/
#
# Modifie par TS pour besoin rapport CNP
# Genere TOUS les graphes de TOUS les serveurs
# Graphes de LOAD
#
################################################
# Configuration

for dir in `ls /Soft/HOBBIT-4.1.2p1/data/rrd/` ;
do

RRDARCHIVE="/Soft/HOBBIT-4.1.2p1/data/rrd/$dir/"
# .png IS ADDED AFTER.
# ${GRAPH}-day -week -month -year will be created
GRAPH="netio.$dir"
GRAPHTITLE="Traffic rseau de $dir"

#
################################################
################################################
# Graph I/O reseau Linux

for i in -86400 -604800 -2592000 -31536000
do
if [ $i == -86400 ]
then
GRAPH2="${GRAPH}-day.png"
fi
if [ $i == -604800 ]
then
GRAPH2="${GRAPH}-week.png"
fi
if [ $i == -2592000 ]
then
GRAPH2="${GRAPH}-month.png"
fi
if [ $i == -31536000 ]
then
GRAPH2="${GRAPH}-year.png"
fi

#
# On s'assure que les rep existent
#

if [ ! -d /Soft/HOBBIT-4.1.2p1/server/www/pdf/graphrrd/$dir ]
then
   mkdir /Soft/HOBBIT-4.1.2p1/server/www/pdf/graphrrd/$dir
fi

#
# Voir le fichier /home/hobbit/server/etc/hobbitgraphs.cfg
# pour connaitre les options et parametres pour les graphes
#
/usr/bin/rrdtool graph "/Soft/HOBBIT-4.1.2p1/server/www/pdf/graphrrd/$dir/$GRAPH2" \
--start $i \
--vertical-label "Octets/seconde" \
--title "$GRAPHTITLE" -w 600 -h 120 -M \
-u 1.0 --imgformat PNG \
'DEF:tcpInInorderBits='$RRDARCHIVE'netstat.rrd:tcpInInorderBytes:AVERAGE' \
'DEF:tcpOutDataBits='$RRDARCHIVE'netstat.rrd:tcpOutDataBytes:AVERAGE' \
'DEF:tcpRetransBits='$RRDARCHIVE'netstat.rrd:tcpRetransBytes:AVERAGE' \
'LINE2:tcpInInorderBits#00FF00:In' \
'LINE2:tcpOutDataBits#0000FF:Out' \
'LINE2:tcpRetransBits#FF0000:Retrans' \
'COMMENT:\n' \
'GPRINT:tcpInInorderBits:LAST:In       \: %5.1lf%s (cur)' \
'GPRINT:tcpInInorderBits:MAX: \: %5.1lf%s (max)' \
'GPRINT:tcpInInorderBits:MIN: \: %5.1lf%s (min)' \
'GPRINT:tcpInInorderBits:AVERAGE: \: %5.1lf%s (avg)\n' \
'GPRINT:tcpOutDataBits:LAST:Out      \: %5.1lf%s (cur)' \
'GPRINT:tcpOutDataBits:MAX: \: %5.1lf%s (max)' \
'GPRINT:tcpOutDataBits:MIN: \: %5.1lf%s (min)' \
'GPRINT:tcpOutDataBits:AVERAGE: \: %5.1lf%s (avg)\n' \
'GPRINT:tcpRetransBits:LAST:Retrans  \: %5.1lf%s (cur)' \
'GPRINT:tcpRetransBits:MAX: \: %5.1lf%s (max)' \
'GPRINT:tcpRetransBits:MIN: \: %5.1lf%s (min)' \
'GPRINT:tcpRetransBits:AVERAGE: \: %5.1lf%s (avg)\n'
done

done

#
## Fin du script Load Linux.
#################################################
