#!/bin/sh
#
# Utilisation standard de rrdtool et parametres.
#
#rrdtool graph filename [--start seconds] [--end seconds] [--vertical-label text] [--width pixels] [--height pixels] [--no-legend] [--title title] [DEF:vname=rrd:ds-name:CF] [CDEF:vname=rpn-expression] [COMMENT:text] [HRULE:value#rrggbb[:legend]] [LINE{1|2|3}:vname[#rrggbb[:legend]]] [AREA:vname[#rrggbb[:legend]]] [STACK:vname[#rrggbb[:legend]]]


# script crer par ed dit sous licence GPL.
# http://ed.zehome.com/
#
# Modifie par TS pour besoin rapport CNP
# Genere TOUS les graphes de TOUS les serveurs
# Graphes de LOAD
#
################################################
# Configuration

for dir in `ls /Soft/HOBBIT-4.1.2p1/data/rrd/` ;
do

RRDARCHIVE="/Soft/HOBBIT-4.1.2p1/data/rrd/$dir/"
# .png IS ADDED AFTER.
# ${GRAPH}-day -week -month -year will be created
GRAPH="wio.$dir"
GRAPHTITLE="Taux d'I/O wait sur $dir"

#
################################################
################################################
# Graph Load Linux

for i in -86400 -604800 -2592000 -31536000
do
if [ $i == -86400 ]
then
GRAPH2="${GRAPH}-day.png"
fi
if [ $i == -604800 ]
then
GRAPH2="${GRAPH}-week.png"
fi
if [ $i == -2592000 ]
then
GRAPH2="${GRAPH}-month.png"
fi
if [ $i == -31536000 ]
then
GRAPH2="${GRAPH}-year.png"
fi

#
# On s'assure que les rep existent
#

if [ ! -d /Soft/HOBBIT-4.1.2p1/server/www/pdf/graphrrd/$dir ]
then
   mkdir /Soft/HOBBIT-4.1.2p1/server/www/pdf/graphrrd/$dir
fi

#
# Voir le fichier /home/hobbit/server/etc/hobbitgraphs.cfg
# pour connaitre les options et parametres pour les graphes
#

/usr/bin/rrdtool graph "/Soft/HOBBIT-4.1.2p1/server/www/pdf/graphrrd/$dir/${GRAPH2}" \
--start ${i} \
--vertical-label "% CPU" \
--title "${GRAPHTITLE}" -w 600 -h 120 -u "wio" \
--units-exponent 0 --imgformat PNG \
'DEF:wio='${RRDARCHIVE}'sar.rrd:sar_wio:AVERAGE' \
'AREA:wio#FF9900: %I/O Wait \n' \
'GPRINT:wio:LAST:cur \:%3.2lf' \
'GPRINT:wio:MIN:min \:%3.2lf' \
'GPRINT:wio:AVERAGE:avg \:%3.2lf' \
'GPRINT:wio:MAX:max \:%3.2lf' 
done

done

#
## Fin du script Load Linux.
#################################################
